Package org.eclipse.rdf4j.common.logging.base

## Class AbstractLogReader

- java.lang.Object
- - org.eclipse.rdf4j.common.logging.base.AbstractLogReader

- All Implemented Interfaces:
    `Iterator<LogRecord>`, `LogReader`
  Direct Known Subclasses:
    `FileLogReader`, `LogReaderBase`, `MultipleFileLogReader`

      public abstract class AbstractLogReader
      extends Object
      implements LogReader

  Abstract log reader

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractLogReader()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ch.qos.logback.core.Appender<?>` | `getAppender()` | Logging appender associated with this reader.
    `Date` | `getEndDate()` | End (latest) date of of the log records returned by this log reader.
    `LogLevel` | `getLevel()` | Level of the log records returned by this log reader.
    `int` | `getLimit()` | Get the limit.
    `Date` | `getMaxDate()` | Max (latest) available date of the log records.
    `Date` | `getMinDate()` | Min (earliest) available date of the log records.
    `int` | `getOffset()` | Get the offset
    `Date` | `getStartDate()` | Start (earliest) date of the log records returned by this log reader.
    `String` | `getThread()` | Thread name of the log records returned by this log reader.
    `List<String>` | `getThreadNames()` | All available thread names of the log records.
    `abstract boolean` | `hasNext()` |
    `abstract LogRecord` | `next()` |
    `void` | `remove()` |
    `void` | `setAppender​(ch.qos.logback.core.Appender<?> appender)` | Logging appender associated with this reader.
    `void` | `setEndDate​(Date date)` | End (latest) date of of the log records returned by this log reader.
    `void` | `setLevel​(LogLevel level)` | Level of the log records returned by this log reader.
    `void` | `setLimit​(int limit)` | Set the limit
    `void` | `setOffset​(int offset)` | Set the offset
    `void` | `setStartDate​(Date date)` | Start (earliest) date of the log records returned by this log reader.
    `void` | `setThread​(String threadname)` | Thread name of the log records returned by this log reader.
    `boolean` | `supportsDateRanges()` | Test if this LogReader implementation supports date-based records filtering.
    `boolean` | `supportsLevelFilter()` | Test if this LogReader implementation supports level-based records filtering.
    `boolean` | `supportsThreadFilter()` | Test if this LogReader implementation supports thread-based records filtering.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.logging.LogReader

      `destroy, init, isMoreAvailable`

- - ### Constructor Detail

    - #### AbstractLogReader

          public AbstractLogReader()

  - ### Method Detail

    - #### hasNext

          public abstract boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<LogRecord>`

    - #### next

          public abstract LogRecord next()

      Specified by:
        `next` in interface `Iterator<LogRecord>`

    - #### remove

          public final void remove()

      Specified by:
        `remove` in interface `Iterator<LogRecord>`

    - #### setAppender

          public void setAppender​(ch.qos.logback.core.Appender<?> appender)

      Description copied from interface: `LogReader`
      Logging appender associated with this reader.
      Specified by:
        `setAppender` in interface `LogReader`
      Parameters:
        `appender` - logging appender associated with this reader

    - #### getAppender

          public ch.qos.logback.core.Appender<?> getAppender()

      Description copied from interface: `LogReader`
      Logging appender associated with this reader.
      Specified by:
        `getAppender` in interface `LogReader`
      Returns:
        logging appender associated with this reader.

    - #### getEndDate

          public Date getEndDate()

      Description copied from interface: `LogReader`
      End (latest) date of of the log records returned by this log reader.
      Specified by:
        `getEndDate` in interface `LogReader`
      Returns:
        End date of the log records or 'null' if no end date has been set

    - #### getLevel

          public LogLevel getLevel()

      Description copied from interface: `LogReader`
      Level of the log records returned by this log reader.
      Specified by:
        `getLevel` in interface `LogReader`
      Returns:
        Level of the log records returned by this log reader or 'null' if no level filter has been set.

    - #### getStartDate

          public Date getStartDate()

      Description copied from interface: `LogReader`
      Start (earliest) date of the log records returned by this log reader.
      Specified by:
        `getStartDate` in interface `LogReader`
      Returns:
        Start date of the log records or 'null' if no start date has been set

    - #### setEndDate

          public void setEndDate​(Date date)

      Description copied from interface: `LogReader`
      End (latest) date of of the log records returned by this log reader.
      Specified by:
        `setEndDate` in interface `LogReader`
      Parameters:
        `date` - end date

    - #### setLevel

          public void setLevel​(LogLevel level)

      Description copied from interface: `LogReader`
      Level of the log records returned by this log reader.
      Specified by:
        `setLevel` in interface `LogReader`
      Parameters:
        `level` - log level

    - #### setStartDate

          public void setStartDate​(Date date)

      Description copied from interface: `LogReader`
      Start (earliest) date of the log records returned by this log reader.
      Specified by:
        `setStartDate` in interface `LogReader`

    - #### supportsDateRanges

          public boolean supportsDateRanges()

      Description copied from interface: `LogReader`
      Test if this LogReader implementation supports date-based records filtering.
      Specified by:
        `supportsDateRanges` in interface `LogReader`
      Returns:
        true if date filtering is supported

    - #### getMaxDate

          public Date getMaxDate()

      Description copied from interface: `LogReader`
      Max (latest) available date of the log records.
      Specified by:
        `getMaxDate` in interface `LogReader`
      Returns:
        maximum date

    - #### getMinDate

          public Date getMinDate()

      Description copied from interface: `LogReader`
      Min (earliest) available date of the log records.
      Specified by:
        `getMinDate` in interface `LogReader`
      Returns:
        minimum date

    - #### supportsLevelFilter

          public boolean supportsLevelFilter()

      Description copied from interface: `LogReader`
      Test if this LogReader implementation supports level-based records filtering.
      Specified by:
        `supportsLevelFilter` in interface `LogReader`
      Returns:
        true if level filtering is supported.

    - #### getThread

          public String getThread()

      Description copied from interface: `LogReader`
      Thread name of the log records returned by this log reader.
      Specified by:
        `getThread` in interface `LogReader`
      Returns:
        thread name of the log records returned by this log reader or 'null' if no thread filter has been set.

    - #### setThread

          public void setThread​(String threadname)

      Description copied from interface: `LogReader`
      Thread name of the log records returned by this log reader.
      Specified by:
        `setThread` in interface `LogReader`
      Parameters:
        `threadname` - thread name

    - #### supportsThreadFilter

          public boolean supportsThreadFilter()

      Description copied from interface: `LogReader`
      Test if this LogReader implementation supports thread-based records filtering.
      Specified by:
        `supportsThreadFilter` in interface `LogReader`
      Returns:
        true if thread filtering is supported.

    - #### getLimit

          public int getLimit()

      Get the limit.
      Specified by:
        `getLimit` in interface `LogReader`
      Returns:
        limit

    - #### setLimit

          public void setLimit​(int limit)

      Set the limit
      Specified by:
        `setLimit` in interface `LogReader`
      Parameters:
        `limit` - The limit to set.

    - #### getOffset

          public int getOffset()

      Get the offset
      Specified by:
        `getOffset` in interface `LogReader`
      Returns:
        offset.

    - #### setOffset

          public void setOffset​(int offset)

      Set the offset
      Specified by:
        `setOffset` in interface `LogReader`
      Parameters:
        `offset` - The offset to set.

    - #### getThreadNames

          public List<String> getThreadNames()

      Description copied from interface: `LogReader`
      All available thread names of the log records.
      Specified by:
        `getThreadNames` in interface `LogReader`
      Returns:
        a List of thread names of the log records.